Zum Hauptinhalt springen
PUT
/
public
/
v1
/
campaign-service
/
campaigns
/
sponsored-brand
/
{campaign-id}
/
bids
Replace sponsored brand campaign bids.
curl --request PUT \
  --url https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand/{campaign-id}/bids \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bids": [
    {
      "target": {
        "id": "<string>"
      },
      "triggers": [
        {
          "type": "<string>",
          "value": {
            "fromProduct": "<string>"
          }
        }
      ],
      "formatProperties": {
        "imageAssets": [
          {
            "height": 123,
            "width": 123,
            "contentType": "<string>",
            "contentLength": 123,
            "url": "<string>"
          }
        ]
      },
      "amount": "<unknown>",
      "location": "Santiago"
    }
  ],
  "slotId": "<string>",
  "content": {},
  "slotIds": [
    "<string>"
  ]
}
'
import requests

url = "https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand/{campaign-id}/bids"

payload = {
"bids": [
{
"target": { "id": "<string>" },
"triggers": [
{
"type": "<string>",
"value": { "fromProduct": "<string>" }
}
],
"formatProperties": { "imageAssets": [
{
"height": 123,
"width": 123,
"contentType": "<string>",
"contentLength": 123,
"url": "<string>"
}
] },
"amount": "<unknown>",
"location": "Santiago"
}
],
"slotId": "<string>",
"content": {},
"slotIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bids: [
{
target: {id: '<string>'},
triggers: [{type: '<string>', value: {fromProduct: '<string>'}}],
formatProperties: {
imageAssets: [
{
height: 123,
width: 123,
contentType: '<string>',
contentLength: 123,
url: '<string>'
}
]
},
amount: '<unknown>',
location: 'Santiago'
}
],
slotId: '<string>',
content: {},
slotIds: ['<string>']
})
};

fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand/{campaign-id}/bids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Pfadparameter

campaign-id
string<uuid>
erforderlich

The ID of the campaign.

Abfrageparameter

vendor_id
string
erforderlich

The ID of the vendor.

Minimum string length: 1

Body

application/json

Request body for replacing public sponsored brand bids.

bids
PublicCreateSponsoredBrandBid · object[]
erforderlich

An array of bids for this campaign.

Required array length: 1 - 500 elements
slotId
string
erforderlich

The external slot ID where the sponsored brand campaign will be shown.

Minimum string length: 1
content
Content · object
erforderlich

Dynamic content validated against the slot's JSON template.

slotIds
string[] | null

Additional external slot IDs. If present, each ID replicates the whole bid set.

Maximum array length: 10

Antwort

Successful Response